## pcb-rnd 1.2.8

=== Makefile ===
all: FORCE
	cd src_3rd/puplug/util && $(MAKE)
	cd src && $(MAKE)
	cd util && $(MAKE)
	cd pcblib && $(MAKE)
#	cd doc && $(MAKE)

test: FORCE
	cd tests && $(MAKE) test

clean: FORCE
	cd src && $(MAKE) clean
	cd util && $(MAKE) clean
	cd pcblib && $(MAKE) clean
#	cd doc && $(MAKE) clean
	cd tests && $(MAKE) clean
	cd src_3rd/sphash && $(MAKE) clean
	cd src_3rd/puplug && $(MAKE) clean
	cd src_3rd/libminuid && $(MAKE) clean ; true
	cd src_3rd/libuundo && $(MAKE) clean ; true

distclean: FORCE
	$(MAKE) clean ; true
#	cd doc && $(MAKE) distclean
	cd src && $(MAKE) distclean
	cd util/gsch2pcb-rnd && $(MAKE) distclean
	cd src_3rd/genlist && $(MAKE) clean ; true
	cd src_3rd/genregex && $(MAKE) clean ; true
	cd src_3rd/genvector && $(MAKE) clean ; true
	cd src_3rd/liblihata && $(MAKE) clean ; true
	cd src_3rd/liblihata/genht && $(MAKE) clean ; true
	cd src_3rd/qparse && $(MAKE) clean ; true
	cd scconfig && $(MAKE) distclean ; true


install: FORCE
	cd src && $(MAKE) install
	cd util && $(MAKE) install
	cd pcblib && $(MAKE) install
	cd doc && $(MAKE) install

linstall: FORCE
	cd src && $(MAKE) linstall
	cd util && $(MAKE) linstall
	cd pcblib && $(MAKE) linstall
	cd doc && $(MAKE) linstall

uninstall: FORCE
	cd src && $(MAKE) uninstall
	cd util && $(MAKE) uninstall
	cd pcblib && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall

FORCE:

=== doc/Makefile ===
MENU_RES=../src/pcb-menu-gtk.lht ../src/pcb-menu-lesstif.lht
MENU_RES_MKEY=../src/pcb-menu-mkey.lht
KEYLIST=../util/keylist.sh
DEBLIST=../util/devhelpers/deblist.sh
ROOT=..

all: keys.html keys_mkey.html features/debian_list.html
	ROOT="" ./Autostyle.sh *.html
	ROOT="../" ./Autostyle.sh features/*.html

include ../Makefile.conf

keys.html: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) $(MENU_RES) > keys.html

keys_mkey.html: $(MENU_RES_MKEY) $(KEYLIST)
	$(KEYLIST) $(MENU_RES_MKEY) > keys_mkey.html

install_main:
	$(SCCBOX) $(HOW) *.html *.txt TODO $(DOCDIR)/

install:
	$(SCCBOX) mkdir -p "$(DOCDIR)"
	cd man && $(MAKE) install
	cd user && $(MAKE) install
	cd tutorials && $(MAKE) install
	cd security && $(MAKE) install
	cd conf && $(MAKE) install
	cd developer && $(MAKE) install
	$(MAKE) install_main HOW="install -f -d"

linstall:
	cd man && $(MAKE) linstall
	cd user && $(MAKE) linstall
	cd tutorials && $(MAKE) linstall
	cd security && $(MAKE) linstall
	cd conf && $(MAKE) linstall
	cd developer && $(MAKE) linstall
	$(MAKE) install_main HOW="install -f -l -d"

uninstall:
	cd man && $(MAKE) uninstall
	cd user && $(MAKE) uninstall
	cd tutorials && $(MAKE) uninstall
	cd security && $(MAKE) uninstall
	cd conf && $(MAKE) uninstall
	cd developer && $(MAKE) uninstall
	$(MAKE) install_main HOW="install -f -u -d"

clean:
	cd man && $(MAKE) clean
	cd user && $(MAKE) clean
	cd tutorials && $(MAKE) clean
	cd security && $(MAKE) clean
	cd conf && $(MAKE) clean
	cd developer && $(MAKE) clean

distclean:
	cd man && $(MAKE) distclean
	cd user && $(MAKE) distclean
	cd tutorials && $(MAKE) distclean
	cd security && $(MAKE) distclean
	cd conf && $(MAKE) distclean
	cd developer && $(MAKE) distclean

=== scconfig/Makefile ===
# --- configuration part --

# - generic configuration -
SRC=src
BIN=src

#  what cflags to use to compile scconfig
USER_CFLAGS = -DGENCALL -Isrc
#USER_CFLAGS = -Wall -Wextra -g -DGENCALL -Isrc

#  what ldflags to use to link scconfig
USER_LDFLAGS =

#  in case hooks.c needs to link to something local
USER_OBJS = src/util/arg_auto_set.o

#  what to build - a ./configure
all: configure cquote

# This line imports scconfig core and default tests
include src/default/Makefile.plugin

#
# - PLUGINS -
#
#  Comment this line if you are not interested in c99 features
include src/c99/Makefile.plugin

#  Comment this line if you do not need script libs to be detected
include src/scripts/Makefile.plugin

#  Comment this line if you do not need parser libs to be detected
# include src/parser/Makefile.plugin

#  Comment this line if you do not need to detect parser generators
include src/parsgen/Makefile.plugin

#  Comment this line if you do not need math related libs
include src/math/Makefile.plugin

#  Comment this line if you do not need socket/networking
# include src/socket/Makefile.plugin

#  Comment this line if you do not need user/password API detection
include src/userpass/Makefile.plugin

#  Comment this line if you do not need gui (X11, toolkits)
include src/gui/Makefile.plugin

#  Comment this line if you do not need software utility libs (glib)
include src/sul/Makefile.plugin

#  Uncomment this line if you need menus
include src/menulib/Makefile.plugin

#  Comment this line if you do not need generator (templating)
#include src/generator/Makefile.plugin

#  Comment this line if you do not need tmpasm (templating); conflicts with generator
include src/tmpasm/Makefile.plugin

# --- you shouldn't edit the lines below ---
OBJS = $(USER_OBJS) hooks.o $(DEFAULT_NOMAIN_OBJS) $(SCRIPT_OBJS) $(PARSER_OBJS) $(GENERATOR_OBJS) $(TMPASM_OBJS) $(C99_OBJS) $(PARSGEN_OBJS) $(MATH_OBJS) $(SOCKET_OBJS) $(USERPASS_OBJS) $(GUI_OBJS) $(SUL_OBJS)
CFLAGS = $(USER_CFLAGS) $(DEFAULT_CFLAGS) $(SCRIPT_CFLAGS) $(PARSER_CFLAGS) $(GENERATOR_CFLAGS) $(TMPASM_CFLAGS) $(C99_CFLAGS) $(PARSGEN_CFLAGS) $(MATH_CFLAGS) $(SOCKET_CFLAGS) $(USERPASS_CFLAGS) $(GUI_CFLAGS)  $(SUL_CFLAGS) $(MENULIB_CFLAGS) -Isrc/default
LDFLAGS = $(USER_LDFLAGS) $(DEFAULT_LDFLAGS) $(SCRIPT_LDFLAGS) $(PARSER_LDFLAGS) $(GENERATOR_LDFLAGS) $(TMPASM_LDFLAGS) $(C99_LDFLAGS) $(PARSGEN_LDFLAGS) $(MATH_LDFLAGS) $(SOCKET_LDFLAGS) $(USERPASS_LDFLAGS) $(GUI_LDFLAGS) $(SUL_LDFLAGS) $(MENULIB_LDFLAGS)

all: configure revtest sccbox

revtest: revtest.o
	$(CC) -o revtest revtest.o

revtest.o: revtest.c  Rev.h
	$(CC) -c $(CFLAGS) -o revtest.o revtest.c

configure: $(OBJS)  $(DEFAULT_MAIN_OBJS)
	$(CC) -o configure $(OBJS)  $(DEFAULT_MAIN_OBJS)

menuconfig: menucfg
	./menucfg

menucfg: $(OBJS) $(MENULIB_OBJS) src/default/main_lib.o src/default/main_custom_args.o menucfg.o src/util/arg_auto_menu.o src/util/arg_auto_set.o
	$(CC) -o menucfg $(OBJS) $(MENULIB_OBJS) menucfg.o src/default/main_lib.o src/default/main_custom_args.o src/util/arg_auto_menu.o

menucfg.o: menucfg.c
	$(CC) -c $(CFLAGS) -o menucfg.o menucfg.c

hooks.o: plugin_3state.h plugins.h Rev.h ../src_3rd/puplug/scconfig_hooks.h

src/util/arg_auto_set.o: src/util/arg_auto_set.c src/util/arg_auto_set.h
	$(CC) -c $(CFLAGS) -o src/util/arg_auto_set.o src/util/arg_auto_set.c

src/util/sccbox.o: src/util/sccbox.c
	$(CC) -c $(CFLAGS) -o src/util/sccbox.o src/util/sccbox.c

sccbox: src/util/sccbox.o
	$(CC) $(LDFLAGS) -o sccbox src/util/sccbox.o

cquote: cquote.c

clean:
	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure revtest revtest.o cquote core src/util/sccbox.o

distclean:
	-rm ../config.h ../Makefile.conf ../src/Makefile ../util/gsch2pcb-rnd/Makefile config.cache config.log Rev.stamp sccbox ../src_3rd/puplug/Makefile ../src_3rd/puplug/config.h ../src_plugins/lib_hid_gl/opengl.h
	-$(MAKE) clean

=== doc/user/Makefile ===
ROOT=../..
BUILD=$(ROOT)/util/build_ps.sh
USERDIR=$(DOCDIR)/user

export HTML2PS_OPTS=-f default.css
export HTML2PS_SED="s^<[hH]1>.*</[hH]1>^^g"


INSTD = 02_model 03_data 04_invoc 05_ui 06_feature 07_io \
        08_util 09_appendix

all: user.pdf

user.ps: ps.lst $(BUILD) default.css Makefile
	$(BUILD) `cat ps.lst` > user.ps

user.pdf: user.ps
	ps2pdf user.ps

ps.lst: */*.html */*.png
	echo "title.html" > ps.lst
	echo "index.html" >> ps.lst
	ls */*.html | sort >> ps.lst

include Makefile.inst

regen: instgen
	./instgen

install:
	make install_all HOW="install -f"

linstall:
	make install_all HOW="install -f -l --absolute "

uninstall:
	make install_all HOW="install -u"

include $(ROOT)/Makefile.conf

=== src_3rd/libminuid/Makefile ===
CFLAGS = $(LIBMINUID_CFLAGS)
LDFLAGS = $(LIBMINUID_LDFLAGS)

#CFLAGS += -g -Wall -ansi -pedantic
#LDFLAGS = -rdynamic

INCDIR=$(install_root)$(DESTDIR)/usr/include
LIBDIR=$(install_root)$(DESTDIR)/usr/lib

VER_MAJOR=1
VER_MINOR=0
VER_PATCH=1
VER=$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

LIBSO=libminuid.so.$(VER)
LIBSO1=libminuid.so.$(VER_MAJOR)
LIBA=libminuid.a


all: $(LIBA) $(LIBSO)

libminuid.o: libminuid.c libminuid.h
	$(CC) $(CFLAGS) -c libminuid.c -o $@

$(LIBSO): libminuid.o
	$(CC) $(LDFLAGS) -shared -dynamic -o $@ libminuid.o

$(LIBA): libminuid.o
	ar rvu $@ libminuid.o

clean:
	-rm libminuid.o $(LIBA) $(LIBSO) $(LIBSO1)

install_:
	mkdir -p $(INCDIR) $(LIBDIR)
	$(CP) `pwd`/libminuid.h $(INCDIR)/libminuid.h
	$(CP) `pwd`/$(LIBSO) $(LIBDIR)/$(LIBSO)
	$(CP) `pwd`/$(LIBA) $(LIBDIR)/$(LIBA)

uninstall:
	rm $(INCDIR)/libminuid.h $(LIBDIR)/$(LIBSO) $(LIBDIR)/$(LIBA) $(LIBDIR)/$(LIBSO1)

install:
	make install_ CP="cp"
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

linstall:
	make install_ CP="ln -s"
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

=== tests/pcb-printf/Makefile ===
TRUNK = ../..
SRC=$(TRUNK)/src
CFLAGS_OP = -O3
CFLAGS = -I$(TRUNK) -I$(SRC) -I$(TRUNK)/src_3rd -I$(TRUNK)/src_3rd/liblihata
LDLIBS = -lm

GDS= $(TRUNK)/src_3rd/genvector/gds_char.o
LIBPCB_BASE= $(SRC)/unit.o $(SRC)/compat_misc.o

all: tester tester_spd prcli prclimq

ROOT=../..
include $(ROOT)/Makefile.conf

test: tester.diff
	@echo "pcb-printf:          *** QC PASS ***"
	@rm tester.stdout ; true

prcli: prcli.o $(SRC)/pcb-printf.o $(SRC)/misc_util.o $(LIBPCB_BASE) $(GDS)

prclimq: prclimq.o $(SRC)/pcb-printf.o $(SRC)/misc_util.o $(LIBPCB_BASE) $(GDS)

prcli.o: prcli.c

prclimq.o: prclimq.c

tester: tester.o $(SRC)/pcb-printf.o $(LIBPCB_BASE)  $(GDS)
	$(CC) $(LDFLAGS) -o tester tester.o $(SRC)/pcb-printf.o $(LIBPCB_BASE)  $(GDS) $(LDLIBS)

tester_spd: tester_spd.o $(SRC)/pcb-printf_spd.o $(LIBPCB_BASE) $(GDS)
	$(CC) $(LDFLAGS) -o tester_spd tester_spd.o $(SRC)/pcb-printf_spd.o $(LIBPCB_BASE) $(GDS) $(LDLIBS)

tester.o: tester.c
	$(CC) -c $(CFLAGS) -o $@ tester.c

tester_spd.o: tester.c
	$(CC) -c $(CFLAGS_OP) -DSPEED $(CFLAGS) -o $@ tester.c

tester.stdout: tester
	./tester > tester.stdout

tester.diff: tester.stdout
	diff -u tester.ref tester.stdout

$(SRC)/pcb-printf.o: $(SRC)/pcb-printf.c $(SRC)/pcb-printf.h

$(SRC)/unit.o: $(SRC)/unit.c $(SRC)/unit.h

$(SRC)/pcb-printf_spd.o: $(SRC)/pcb-printf.c $(SRC)/pcb-printf.h
	$(CC) -c $(CFLAGS_OP) -DSPEED $(CFLAGS) -o $@ $(SRC)/pcb-printf.c

clean:
	-$(SCCBOX) rm -f tester tester.o prcli prcli.o tester_spd tester_spd.o $(SRC)/pcb-printf_spd.o

=== src_3rd/liblhtpers/tests/Makefile ===
ROOT=../..
CFLAGS = -Wall -g -I$(ROOT)
LIHATA=$(ROOT)/liblihata/parser.o $(ROOT)/liblihata/liblihata.a $(ROOT)/liblihata/genht/hash.o
OBJS_LIB = ../lhtpers.o
OBJS_TESTER = perstest.o
OBJS = $(OBJS_LIB) $(OBJS_TESTER) $(LIHATA)

all: perstest

# dependencies

include Makefile.dep

perstest: $(OBJS)

test:
	@cd roundtrip && make test

depend:
	@echo "# Generated by \"make depend\"" > Makefile.dep
	gcc $(CFLAGS) -MM `echo $(OBJS) | sed "s/\.o/.c/g"` >> Makefile.dep

clean:
	-rm $(OBJS) test_simple $(OBJS) 2>/dev/null

include $(ROOT)/Makefile.common

=== tests/conf/tests/Makefile ===
TESTS =  \
	list_merge.diff \
	arr_merge.diff \
	scalar.diff

# temporarily disabled because of a conf bug
#	list_set.diff
#	arr_set.diff

.SUFFIXES: .ref .test .out .diff .REF

all: $(TESTS)
	@echo "conf:                *** QC PASS ***"

.test.out:
	@../conftest < $*.test >$*.out

.test.REF:
	@../conftest < $*.test >$*.ref
	@echo $*.ref generated, please validate the content

.out.diff:
	@diff -u $*.ref $*.out

=== debian/changelog ===
pcb-rnd (1.2.8-2) unstable; urgency=medium

  * patch from upstream to fix bug building with --all=plugin
  * switch to using --all=plugin, so that restructuring into multiple binary
    packages will be easier in the future
  * move packaging repository into the Electronics Team group on Salsa

 -- Bdale Garbee <bdale@gag.com>  Thu, 22 Mar 2018 07:27:50 -0600

pcb-rnd (1.2.8-1) unstable; urgency=medium

  * new upstream version
  
 -- Bdale Garbee <bdale@gag.com>  Wed, 21 Mar 2018 10:33:01 -0600

=== debian/control ===
Source: pcb-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), gettext, imagemagick, libgd-dev, libgtkglext1-dev, libdbus-1-dev, libmotif-dev, libstroke0-dev, libxml2-dev
Standards-Version: 4.1.3
Homepage: http://repo.hu/projects/pcb-rnd
Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/pcb-rnd

Package: pcb-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: geda-gnetlist
Description: Modular Printed Circuit Board layout tool
 pcb-rnd is a highly modular PCB (Printed Circuit Board) layout tool
 with a rich set of plugins for communicating with various external
 design tools and other EDA/CAD packages.
 .
 Feature highlights:
   - subcircuits, pad stacks
   - flexible footprint model; unrestricted pad shapes
   - arbitrary copper, silk, paste and soldermask objects
   - sophisticated, flexible layer model
   - flexible/universal polygon model
   - any object, even polygons, can have a clearance within a polygon
   - advanced mil and mm grid, with support for mixed unit design
   - strong CLI support
   - static footprints and parametric (generated) footprints
   - query language for advanced search & select
   - layout optimizers such as teardrops and a trace puller
   - footprint library from local file systems, HTTP and board files
   - netlist management: imported and as-built; back annotation
   - design rule checker
 .
 File formats and compatibility:
   - text based, tree structured native file format
   - gerber (export)
   - KiCad, s-expr format boards (read, write)
   - KiCad, s-expr format elements (write)
   - KiCad, legacy text format boards (write)
   - KiCad, eeschema netlist+footprint info (import)
   - tEDAx footprints (read, write)
   - tEDAx netlist (read)
   - Autotrax (protel) pcb boards (read, write)
   - Eagle XML format boards and libraries (read)
   - Eagle binary format boards and libraries (read)
   - Eagle DRU files (read)
   - Mentor Graphics Hyperlynx (read/write)
   - gEDA/PCB (read, write)
   - Specctra DSN (partial import/export, for freerouting.net)
   - flat EDIF netlist (import)
   - HPGL plot files (import)
   - openSCAD colored 3d model script (export)
   - ltspice netlist+footprint info (import)
   - Mentor Graphics Design Capture netlist+footprint info (import)
   - MUCS unixplot (partial import: lines, vias)
   - gEDA/gschem netlist+footprint info (import)
   - TinyCAD netlist+footprint info (import)
   - breadboard assembly drawing png (export)
   - BoM (Bill of Materials; export)
   - dxf, 2d drawings (export)
   - fidocadj board (export)
   - gcode (export)
   - nelma (export)
   - PNG, JPEG, GIF (export with photo-realistic render option)
   - postscript: ps, eps (export)
   - svg (export)
   - xy: template based, multi-format footprint/coord list (export)

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	./configure				\
           --symbols				\
           --with-intl				\
           --all=plugin				\
           --prefix=/usr			\
						\
           --LDFLAGS='$(LDFLAGS)'		\
           --CFLAGS='$(CFLAGS) $(CPPFLAGS)'

## pcb-rnd 2.0.0

=== doc/user/Makefile ===
--- 
+++ 
@@ -28,12 +28,12 @@
 	./instgen
 
 install:
-	make install_all HOW="install -f"
+	$(MAKE) install_all HOW="install -f"
 
 linstall:
-	make install_all HOW="install -f -l --absolute "
+	$(MAKE) install_all HOW="install -f -l --absolute "
 
 uninstall:
-	make install_all HOW="install -u"
+	$(MAKE) install_all HOW="install -u"
 
 include $(ROOT)/Makefile.conf

=== tests/conf/Makefile ===
CFLAGS = -Wall -g -I../.. -I../../src_3rd -I../../src
LDLIBS = -lm

LIB_PCB_OBJS= \
	../../src/hid_cfg.o \
	../../src/misc_util.o \
	../../src/unit.o \
	../../src/list_conf.o \
	../../src/paths.o \
	../../src/conf.o \
	../../src/conf_core.o \
	../../src/conf_hid.o \
	../../src/conf_internal.o \
	../../src/pcb-printf.o \
	../../src/compat_misc.o \
	../../src/compat_fs.o \
	../../src/safe_fs.o

LIB_PLUGIN_OBJS=\
	../../src_plugins/diag/diag_conf.o

LIB_3RD_OBJS= \
	../../src_3rd/liblihata/parser.o \
	../../src_3rd/liblihata/dom.o \
	../../src_3rd/liblihata/dom_list.o \
	../../src_3rd/liblihata/dom_hash.o \
	../../src_3rd/liblihata/dom_table.o \
	../../src_3rd/liblihata/lihata.o \
	../../src_3rd/liblihata/hash_str.o \
	../../src_3rd/liblihata/tree.o \
	../../src_3rd/liblihata/tree_list.o \
	../../src_3rd/liblihata/tree_hash.o \
	../../src_3rd/liblihata/tree_table.o \
	../../src_3rd/liblihata/tree_symlink.o \
	../../src_3rd/liblihata/tree_path.o \
	../../src_3rd/genht/hash.o \
	../../src_3rd/genht/htsp.o \
	../../src_3rd/genht/htpi.o \
	../../src_3rd/genht/htsi.o \
	../../src_3rd/genht/htip.o \
	../../src_3rd/genht/htpp.o \
	../../src_3rd/genvector/gds_char.o \
	../../src_3rd/genvector/vtp0.o

DEPH = \
	../../src/conf.h \
	../../src/conf_hid.h \
	../../src/conf_core.h \
	../../src/compat_misc.h \
	../../src_plugins/diag/diag_conf.h \

OBJS = conftest.o help.o

all: conftest

ROOT=../..
include $(ROOT)/Makefile.conf

conftest: $(OBJS) $(LIB_3RD_OBJS) $(LIB_PCB_OBJS) $(LIB_PLUGIN_OBJS)
	$(CC) $(LDFLAGS) $(OBJS) $(LIB_3RD_OBJS) $(LIB_PCB_OBJS) $(LIB_PLUGIN_OBJS) $(LDLIBS) -o conftest

conftest.o: conftest.c $(DEPH)
	$(CC) $(CFLAGS) -c conftest.c -o conftest.o

help.o: help.c

$(LIB_3RD_OBJS) $(LIB_PCB_OBJS):
	cd ../../src && make

test:
	cd tests && $(MAKE) all

clean:
	-$(SCCBOX) rm -f conftest tests/*.out $(OBJS)

=== doc/user/06_feature/gpmi/Makefile ===
DPI_BIG=-Gsize=8,8 -Gdpi=166
DPI=-Gsize=8,8 -Gdpi=100

all:  gpmi_flow.png gpmi_flow_load.png gpmi_flow_reg.png gpmi_flow_menu.png gpmi_flow_exp.png
	cd rosetta && $(MAKE)

gpmi_flow.png: gpmi_flow.dot Makefile
	dot $(DPI_BIG) -Tpng gpmi_flow.dot >$@

gpmi_flow_load.png: gpmi_flow_load.dot Makefile
	dot $(DPI) -Tpng gpmi_flow_load.dot >$@

gpmi_flow_reg.png: gpmi_flow_reg.dot Makefile
	dot $(DPI) -Tpng gpmi_flow_reg.dot >$@

gpmi_flow_menu.png: gpmi_flow_menu.dot Makefile
	dot $(DPI) -Tpng gpmi_flow_menu.dot >$@

gpmi_flow_exp.png: gpmi_flow_exp.dot Makefile
	dot $(DPI) -Tpng gpmi_flow_exp.dot >$@

=== doc/user/09_appendix/src/Makefile ===
# NOTE: aagraph is at svn://repo.hu/projects/aagraph/trunk

CLEANFILES=../action_reference.html ../dialogtable.html ../bridges.svg ../formats.html

all:  ../action_reference.html ../dialogtable.html ../formats.html ../bridges.svg

../action_reference.html : ./dump_actions_to_html.sh ../../../../src/pcb-rnd
	./dump_actions_to_html.sh > ../action_reference.html

../dialogtable.html: pcb-rnd-dialogs ./process_dialogtable.sh ../../../../src/pcb-rnd
	./process_dialogtable.sh > ../dialogtable.html

../bridges.svg: bridges.txt
	aagraph -Tsvg bridges.txt > ../bridges.svg

../formats.html: gen_formats.sh ../../../../src_plugins/io_*/*.pup ../../../../src_plugins/import_*/*.pup ../../../../src_plugins/export_*/*.pup
	./gen_formats.sh > ../formats.html

clean:  
	rm $(CLEANFILES)

=== debian/changelog ===
pcb-rnd (2.0.0-1) unstable; urgency=medium

  * new upstream version
  * dbus should not be a build dependency

 -- Bdale Garbee <bdale@gag.com>  Fri, 08 Jun 2018 09:40:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,6 @@
            --LDFLAGS='$(LDFLAGS)'		\
            --CFLAGS='$(CFLAGS) $(CPPFLAGS)'
 
+override_dh_auto_clean:
+	# only try to run dh_auto_clean if configure has been run
+	test -f Makefile.conf && dh_auto_clean || true

## pcb-rnd 2.0.1

=== scconfig/Makefile ===
--- 
+++ 
@@ -95,7 +95,8 @@
 sccbox: src/util/sccbox.o
 	$(CC) $(LDFLAGS) -o sccbox src/util/sccbox.o
 
-cquote: cquote.c
+cquote: src/util/cquote.c
+	$(CC) $(CFLAGS) $(LDFLAGS) -o cquote src/util/cquote.c
 
 clean:
 	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure revtest revtest.o cquote core src/util/sccbox.o

=== debian/changelog ===
pcb-rnd (2.0.1-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 24 Nov 2018 13:57:13 -0800

pcb-rnd (2.0.1-2) unstable; urgency=medium

  * drop --with-intl since pcb-rnd is English-only for now, closes: #908553

 -- Bdale Garbee <bdale@gag.com>  Sat, 27 Oct 2018 13:40:43 -0600

pcb-rnd (2.0.1-1) unstable; urgency=medium

  * new upstream version
  * switch back to using --all=buildin

 -- Bdale Garbee <bdale@gag.com>  Thu, 30 Aug 2018 23:33:33 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,17 @@
 Source: pcb-rnd
 Section: electronics
 Priority: optional
-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), gettext, imagemagick, libgd-dev, libgtkglext1-dev, libdbus-1-dev, libmotif-dev, libstroke0-dev, libxml2-dev
+Build-Depends: debhelper (>= 10),
+               gettext,
+               imagemagick,
+               libgd-dev,
+               libgtkglext1-dev,
+               libmotif-dev,
+               libstroke0-dev,
+               libxml2-dev
 Standards-Version: 4.1.3
 Homepage: http://repo.hu/projects/pcb-rnd
 Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git

## pcb-rnd 2.1.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 all: FORCE
-	cd src_3rd/puplug/util && $(MAKE)
+	cd src_3rd/puplug/util && $(MAKE) CC=$(PCB_RND_HOST_CC)
 	cd src && $(MAKE)
 	cd util && $(MAKE)
 	cd pcblib && $(MAKE)
@@ -51,4 +51,6 @@
 	cd pcblib && $(MAKE) uninstall
 	cd doc && $(MAKE) uninstall
 
+include Makefile.conf
+
 FORCE:

=== doc/Makefile ===
--- 
+++ 
@@ -1,20 +1,23 @@
-MENU_RES=../src/pcb-menu-gtk.lht ../src/pcb-menu-lesstif.lht
-MENU_RES_MKEY=../src/pcb-menu-mkey.lht
+MENU_RES=../src/pcb-menu-default.lht
 KEYLIST=../util/keylist.sh
 DEBLIST=../util/devhelpers/deblist.sh
 ROOT=..
 
-all: keys.html keys_mkey.html features/debian_list.html
+all: keys.html user/05_ui/06_common/keytree.svg user/05_ui/06_common/keytree.txt
 	ROOT="" ./Autostyle.sh *.html
-	ROOT="../" ./Autostyle.sh features/*.html
 
 include ../Makefile.conf
 
+user/05_ui/06_common/keytree.svg: $(MENU_RES) $(KEYLIST)
+	$(KEYLIST) --dot user/05_ui/06_common/src/node_names.txt $(MENU_RES) > user/05_ui/06_common/keytree.dot
+	dot -Tsvg < user/05_ui/06_common/keytree.dot >user/05_ui/06_common/keytree.svg
+
+user/05_ui/06_common/keytree.txt: $(MENU_RES) $(KEYLIST)
+	$(KEYLIST) --lst $(MENU_RES) > user/05_ui/06_common/keytree.txt
+
+
 keys.html: $(MENU_RES) $(KEYLIST)
 	$(KEYLIST) $(MENU_RES) > keys.html
-
-keys_mkey.html: $(MENU_RES_MKEY) $(KEYLIST)
-	$(KEYLIST) $(MENU_RES_MKEY) > keys_mkey.html
 
 install_main:
 	$(SCCBOX) $(HOW) *.html *.txt TODO $(DOCDIR)/

=== scconfig/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 include src/math/Makefile.plugin
 
 #  Comment this line if you do not need socket/networking
-# include src/socket/Makefile.plugin
+include src/socket/Makefile.plugin
 
 #  Comment this line if you do not need user/password API detection
 include src/userpass/Makefile.plugin

=== doc/developer/Makefile ===
ROOT=../..
DEVDIR=$(DOCDIR)/developer

all:

install_all:
	$(SCCBOX) mkdir -p $(DEVDIR)/alien_formats $(DEVDIR)/ddrc $(DEVDIR)/hid_gtk3 $(DEVDIR)/hid_remote $(DEVDIR)/mods3
	$(SCCBOX) $(HOW) alien_formats/*.txt $(DEVDIR)/alien_formats/
	$(SCCBOX) $(HOW) ddrc/*.txt $(DEVDIR)/ddrc/
	$(SCCBOX) $(HOW) hid_gtk3/*.html hid_gtk3/*.png $(DEVDIR)/hid_gtk3/
	$(SCCBOX) $(HOW) hid_remote/*.html hid_remote/*.svg $(DEVDIR)/hid_remote/
	$(SCCBOX) $(HOW) mods3/*.html mods3/*.png $(DEVDIR)/mods3/

install:
	$(MAKE) install_all HOW="install -f -d"

linstall:
	$(MAKE) install_all HOW="install -f -l -d"

uninstall:
	$(MAKE) install_all HOW="install -u"

clean:

distclean:


include $(ROOT)/Makefile.conf

=== doc/man/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from $(ROOT)/Makefile.conf which is scconfig generated
ROOT=../..

IN=pcb-rnd.1.mml pcb-strip.1.mml pcb-prj2lht.1.mml fp2anim.1.mml fp2subc.1.mml
OUT_HTML = pcb-rnd.1.html pcb-strip.1.html pcb-prj2lht.1.html fp2anim.1.html fp2subc.1.html
OUT_MAN1 = pcb-rnd.1 pcb-strip.1 pcb-prj2lht.1 fp2anim.1  fp2subc.1
OUT_LINT = pcb-rnd.1.lint pcb-strip.1.lint pcb-prj2lht.1.lint fp2anim.1.lint fp2subc.1.lint

OUTPUT = $(OUT_HTML) $(OUT_MAN1) index.html
MML = /usr/bin/mml

all: $(OUTPUT)

lint: $(OUT_LINT)

.SUFFIXES: .html .mml .lint

.mml.html: .mml_linkmap
	$(MML) -i copyright.mml -f html $<  > $@

.mml:
	$(MML) -i copyright.mml -f man $<  > $@

.mml_linkmap:
	$(MML) -i copyright.mml -f linkmap $(IN) > $@

index.html: $(IN)
	@echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">' > $@
	@echo '<HTML><HEAD><meta http-equiv="Content-Type" content="text/html;charset=us-ascii"><TITLE>man page index - pcb-rnd</TITLE></HEAD><BODY><UL>' >> $@
	$(MML) -i copyright.mml -f indexhtml $(IN) >> $@
	@echo "</UL></BODY></HTML>" >> $@

clean:

distclean:

genclean:
	rm $(OUTPUT) 2>/dev/null ; true

.mml.lint:
	$(MML) -i copyright.mml -f lint $<

install_all:
	$(SCCBOX) mkdir -p "$(MAN1DIR)"
	$(SCCBOX) $(HOW) "pcb-rnd.1" "$(MAN1DIR)/pcb-rnd.1"
	$(SCCBOX) $(HOW) "pcb-strip.1" "$(MAN1DIR)/pcb-strip.1"
	$(SCCBOX) $(HOW) "pcb-prj2lht.1" "$(MAN1DIR)/pcb-prj2lht.1"
	$(SCCBOX) $(HOW) "gsch2pcb-rnd.1" "$(MAN1DIR)/gsch2pcb-rnd.1"
	$(SCCBOX) $(HOW) "fp2anim.1" "$(MAN1DIR)/fp2anim.1"
	$(SCCBOX) $(HOW) "fp2subc.1" "$(MAN1DIR)/fp2subc.1"

install:
	$(MAKE) install_all HOW="install -f"

linstall:
	$(MAKE) install_all HOW="linstall -f"

uninstall:
	$(MAKE) install_all HOW="uninstall"

include $(ROOT)/Makefile.conf

=== doc/tutorials/Makefile ===
all:
	$(MAKE) all_ CMD=all

all_:
	cd 7805 && $(MAKE) -f Makefile.inst $(CMD)

install:
	$(MAKE) all_ CMD=install

linstall:
	$(MAKE) all_ CMD=linstall

uninstall:
	$(MAKE) all_ CMD=uninstall

clean:

distclean:

=== src_3rd/genht/Makefile ===
# use -DGENHT_WANT_INLINE to turn half of the API into static inline functions
PREFIX=/usr
INCDIR=$(install_root)$(DESTDIR)$(PREFIX)/include/genht
LIBDIR=$(install_root)$(DESTDIR)$(PREFIX)/lib

HOSTCC = $(CC)

VER_MAJOR=1
VER_MINOR=1
VER_PATCH=0
VER=$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

CFLAGS=-g $(GENHT_CFLAGS)
LDFLAGS=$(GENHT_LDFLAGS)

BIN=mainsi
OBJS=htss.o htsp.o htsi.o htip.o htpp.o htpi.o hash.o siphash24.o
LIBSO=libgenht.so.$(VER)
LIBSO1=libgenht.so.$(VER_MAJOR)
LIBA=libgenht.a

all: version.h $(BIN) $(OBJS) $(LIBA) $(LIBSO)

clean:
	-rm $(BIN) $(OBJS) $(LIBA) $(LIBSO) genht_std.so genht_std.a

.SUFFIXES:
.SUFFIXES: .o .c

.c.o:
	$(CC) -o $@ -c -fPIC $< $(CFLAGS)

mainsi: mainsi.o htsi.o
	$(CC) -o $@ mainsi.o htsi.o $(LDFLAGS)

$(LIBSO): $(OBJS)
	$(CC) $(LDFLAGS) -shared -dynamic -rdynamic -o $@ $(OBJS)

$(LIBA): $(OBJS)
	ar rvu $@ $(OBJS)

# for compatibility
genht_std.so: $(LIBSO)
	ln -s $(LIBSO) genht_std.so

# for compatibility
genht_std.a: $(LIBA)
	ln -s $(LIBA) genht_std.a

version.h: version.h.in ver_edit
	./ver_edit $(VER_MAJOR) $(VER_MINOR) $(VER_PATCH) < version.h.in > version.h

ver_edit: ver_edit.c
	$(HOSTCC) -o $@ $(CFLAGS) ver_edit.c

install_:
	mkdir -p $(INCDIR) $(LIBDIR)
	$(CP) `pwd`/hash.h $(INCDIR)/hash.h
	$(CP) `pwd`/ht.h $(INCDIR)/ht.h
	$(CP) `pwd`/version.h $(INCDIR)/version.h
	$(CP) `pwd`/ht_inlines.h $(INCDIR)/ht_inlines.h
	$(CP) `pwd`/htip.h $(INCDIR)/htip.h
	$(CP) `pwd`/htsi.h $(INCDIR)/htsi.h
	$(CP) `pwd`/htsp.h $(INCDIR)/htsp.h
	$(CP) `pwd`/htss.h $(INCDIR)/htss.h
	$(CP) `pwd`/htpp.h $(INCDIR)/htpp.h
	$(CP) `pwd`/$(LIBSO) $(LIBDIR)/$(LIBSO)
	$(CP) `pwd`/$(LIBA) $(LIBDIR)/$(LIBA)

uninstall:
	rm -rf $(INCDIR)
	rm $(LIBDIR)/$(LIBSO) $(LIBDIR)/$(LIBA) $(LIBDIR)/$(LIBSO1)

install:
	make install_ CP="cp"
	-@rm $(LIBDIR)/$(LIBSO1) 2>/dev/null
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

linstall:
	make install_ CP="ln -s"
	-@rm $(LIBDIR)/$(LIBSO1) 2>/dev/null
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

=== src_3rd/genlist/Makefile ===
PREFIX=/usr
INCDIR=$(install_root)$(DESTDIR)$(PREFIX)/include/genlist
LIBDIR=$(install_root)$(DESTDIR)$(PREFIX)/lib

CFLAGS = -I. -I.. $(GENLIST_CFLAGS)
LDFLAGS = $(GENLIST_LDFLAGS)

#CFLAGS += -Wall -g -I. -I..

OBJS = genlistalloc.o genadlist.o
LIBA = libgenlist.a

all: $(LIBA) genlist.a

$(LIBA): $(OBJS)
	ar r $(LIBA) $(OBJS)

# obsolete: DO NOT DEPEND ON THIS
genlist.a: $(LIBA)
	cp $(LIBA) genlist.a

example_ad: example_ad.o $(OBJS)

example_d: example_d.c gendlist.h

clean:
	rm $(OBJS) $(LIBA) genlist.a example_ad example_d; true

install_:
	mkdir -p $(INCDIR) $(LIBDIR)
	$(CP) `pwd`/genadlist.h        $(INCDIR)/genadlist.h
	$(CP) `pwd`/gendlist.h         $(INCDIR)/gendlist.h
	$(CP) `pwd`/genlistalloc.h     $(INCDIR)/genlistalloc.h
	$(CP) `pwd`/gentdlist_impl.h   $(INCDIR)/gentdlist_impl.h
	$(CP) `pwd`/gentdlist_undef.h  $(INCDIR)/gentdlist_undef.h
	$(CP) `pwd`/$(LIBA)            $(LIBDIR)/$(LIBA)

uninstall:
	rm $(INCDIR)/$(INCDIR)/genadlist.h
	rm $(INCDIR)/$(INCDIR)/gendlist.h
	rm $(INCDIR)/$(INCDIR)/genlistalloc.h
	rm $(INCDIR)/$(INCDIR)/gentdlist_impl.h
	rm $(INCDIR)/$(INCDIR)/gentdlist_undef.h
	rm $(LIBDIR)/$(LIBA)

install:
	make install_ CP="cp"

linstall:
	make install_ CP="ln -s"

=== src_3rd/genregex/Makefile ===
#CFLAGS = -Wall -ansi -pedantic -g
CFLAGS = -g $(GENREGEX_CFLAGS)
LDFLAGS = $(GENREGEX_LDFLAGS)

PREFIX=/usr
INCDIR=$(install_root)$(DESTDIR)$(PREFIX)/include/genregex
LIBDIR=$(install_root)$(DESTDIR)$(PREFIX)/lib


OBJS = tester.o regex.o  regex_se.o regex_sei.o regex_be.o regex_bei.o \
       regex_st.o regex_sti.o regex_bt.o regex_bti.o

LIBA = libgenregex.a

all: tester $(LIBA)

tester: $(OBJS)

tester.o: tester.c regex_se.h regex_be.h regex_st.h regex_bt.h regex_templ.h regex.h tester_main.c

regex.o: regex.c regex.h

regex_se.o: regex_se.c regex_se.h   regex_templ.c regex_templ.h regex.h

regex_sei.o: regex_sei.c regex_sei.h   regex_templ.c regex_templ.h regex.h

regex_be.o: regex_be.c regex_be.h   regex_templ.c regex_templ.h regex.h

regex_bei.o: regex_bei.c regex_bei.h   regex_templ.c regex_templ.h regex.h

regex_st.o: regex_st.c regex_st.h   regex_templ.c regex_templ.h regex.h

regex_sti.o: regex_sti.c regex_sti.h   regex_templ.c regex_templ.h regex.h

regex_bt.o: regex_bt.c regex_bt.h   regex_templ.c regex_templ.h regex.h

regex_bti.o: regex_bti.c regex_bti.h   regex_templ.c regex_templ.h regex.h

$(LIBA): $(OBJS)
	-rm $(LIBA)
	ar r $(LIBA) $(OBJS)

test:
	cd ../regression; make all

clean:
	rm $(OBJS) $(LIBA) tester 2>/dev/null ; true

install_:
	mkdir -p $(INCDIR) $(LIBDIR)
	$(CP) `pwd`/regex.h          $(INCDIR)/regex.h
	$(CP) `pwd`/regex_be.h       $(INCDIR)/regex_be.h
	$(CP) `pwd`/regex_bei.h      $(INCDIR)/regex_bei.h
	$(CP) `pwd`/regex_bt.h       $(INCDIR)/regex_bt.h
	$(CP) `pwd`/regex_bti.h      $(INCDIR)/regex_bti.h
	$(CP) `pwd`/regex_se.h       $(INCDIR)/regex_se.h
	$(CP) `pwd`/regex_sei.h      $(INCDIR)/regex_sei.h
	$(CP) `pwd`/regex_st.h       $(INCDIR)/regex_st.h
	$(CP) `pwd`/regex_sti.h      $(INCDIR)/regex_sti.h
	$(CP) `pwd`/regex_templ.h    $(INCDIR)/regex_templ.h
	$(CP) `pwd`/libgenregex.a    $(LIBDIR)/libgenregex.a

uninstall:
	rm $(INCDIR)/regex.h
	rm $(INCDIR)/regex_be.h
	rm $(INCDIR)/regex_bei.h
	rm $(INCDIR)/regex_bt.h
	rm $(INCDIR)/regex_bti.h
	rm $(INCDIR)/regex_se.h
	rm $(INCDIR)/regex_sei.h
	rm $(INCDIR)/regex_st.h
	rm $(INCDIR)/regex_sti.h
	rm $(INCDIR)/regex_templ.h
	rm $(LIBDIR)/libgenregex.a

install:
	make install_ CP="cp"

linstall:
	make install_ CP="ln -s"

=== src_3rd/genvector/Makefile ===
#CFLAGS = -I.. -O3 -Wall -ansi -pedantic
CFLAGS = -I.. -g $(GENVECTOR_CFLAGS)
LDFLAGS = $(GENVECTOR_LDFLAGS)
OBJS = gds_char.o gds_wchar.o vti0.o vts0.o vtp0.o vtii.o
IMPL = genvector_impl.c genvector_impl.h genvector_undef.h

LIBA = libgenvector.a

all: $(LIBA)

$(LIBA): $(OBJS)
	ar ur $(LIBA) $(OBJS)

gds_char.o: gds_char.c gds_char.h $(IMPL)
	$(CC) -c $(CFLAGS) $*.c -o $@

gds_wchar.o: gds_wchar.c gds_wchar.h $(IMPL)
	$(CC) -c $(CFLAGS) $*.c -o $@

vti0.o: vti0.c vti0.h $(IMPL)
	$(CC) -c $(CFLAGS) $*.c -o $@

vts0.o: vts0.c vts0.h $(IMPL)
	$(CC) -c $(CFLAGS) $*.c -o $@

vtp0.o: vtp0.c vtp0.h $(IMPL)
	$(CC) -c $(CFLAGS) $*.c -o $@

vtii.o: vtii.c vtii.h $(IMPL)
	$(CC) -c $(CFLAGS) $*.c -o $@

clean:
	rm $(OBJS) $(LIBA) 2>/dev/null ; true

include ../Makefile.conf

install_:
	mkdir -p "$(INCDIR)" "$(LIBDIR)"
	$(CP) "$(PWD)/gds_char.h" "$(INCDIR)/gds_char.h"
	$(CP) "$(PWD)/gds_wchar.h" "$(INCDIR)/gds_wchar.h"
	$(CP) "$(PWD)/genvector_impl.h" "$(INCDIR)/genvector_impl.h"
	$(CP) "$(PWD)/genvector_undef.h" "$(INCDIR)/genvector_undef.h"
	$(CP) "$(PWD)/vti0.h" "$(INCDIR)/vti0.h"
	$(CP) "$(PWD)/vtii.h" "$(INCDIR)/vtii.h"
	$(CP) "$(PWD)/$(LIBA)" "$(LIBDIR)/$(LIBA)"

uninstall:
	rm $(LIBDIR)/$(LIBA)
	rm $(INCDIR)/gds_*.h $(INCDIR)/genvector*.h $(INCDIR)/vt*.h

install:
	make install_ CP="cp" PWD=`pwd`

linstall:
	make install_ CP="ln -s" PWD=`pwd`

=== src_3rd/qparse/Makefile ===
#CFLAGS = -Wall -Wextra -g
CFLAGS = -g

example: example.o qparse.o

qparse.o: qparse.c qparse.h
	$(CC) -c qparse.c -o qparse.o

clean:
	rm qparse.o example example.o ; true

=== src_plugins/autoroute/Makefile ===
all:
	cd ../../src && $(MAKE) mod_autoroute

clean:
	rm *.o *.so 2>/dev/null ; true

=== debian/changelog ===
pcb-rnd (2.1.1-1) unstable; urgency=medium

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Wed, 13 Feb 2019 09:09:32 -0700

pcb-rnd (2.1.0-2) unstable; urgency=medium

  * don't parallel build on mipsel or mips64el since it seems to cause 
    strange buildd failures

 -- Bdale Garbee <bdale@gag.com>  Wed, 02 Jan 2019 22:31:37 -0700

pcb-rnd (2.1.0-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sat, 24 Nov 2018 21:49:18 -0700

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,9 @@
 Source: pcb-rnd
 Section: electronics
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Dima Kogan <dkogan@debian.org>, Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 10),
-               gettext,
-               imagemagick,
-               libgd-dev,
-               libgtkglext1-dev,
-               libmotif-dev,
-               libstroke0-dev,
-               libxml2-dev
+Build-Depends: debhelper (>= 11), gettext, imagemagick, libgd-dev, libgtkglext1-dev, libmotif-dev, libstroke0-dev, libxml2-dev
 Standards-Version: 4.1.3
 Homepage: http://repo.hu/projects/pcb-rnd
 Vcs-Git: https://salsa.debian.org/electronics-team/pcb-rnd.git

## pcb-rnd 2.1.3

=== scconfig/Makefile ===
--- 
+++ 
@@ -102,5 +102,5 @@
 	-rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure revtest revtest.o cquote core src/util/sccbox.o
 
 distclean:
-	-rm ../config.h ../Makefile.conf ../src/Makefile ../util/gsch2pcb-rnd/Makefile config.cache config.log Rev.stamp sccbox ../src_3rd/puplug/Makefile ../src_3rd/puplug/config.h ../src_plugins/lib_hid_gl/opengl.h
+	-rm ../config.h ../Makefile.conf ../src/Makefile ../util/gsch2pcb-rnd/Makefile config.cache config.log Rev.stamp sccbox gmon.out ../src_3rd/puplug/Makefile ../src_3rd/puplug/config.h ../src_plugins/lib_hid_gl/opengl.h
 	-$(MAKE) clean

=== tests/Makefile ===
test:
	cd RTT && $(MAKE) all && $(MAKE) test
	cd pcbflags && $(MAKE) all && $(MAKE) test
	cd conf && $(MAKE) all && $(MAKE) test
	cd strflags && $(MAKE) all && $(MAKE) test
	cd pcb-printf && $(MAKE) all && $(MAKE) test
	cd uniq_name && $(MAKE) all && $(MAKE) test
	cd propedit && $(MAKE) all && $(MAKE) test
	cd remote && $(MAKE) all && $(MAKE) test
	cd drc_pstk_hbrk && $(MAKE) all && $(MAKE) test
#	cd gsch2pcb-rnd && $(MAKE) all && $(MAKE) test
	@echo " "
	@echo "+-------------------------------------------------+"
	@echo "+  All tests passed, pcb-rnd is safe to install.  +"
	@echo "+-------------------------------------------------+"

clean:
	cd RTT && $(MAKE) clean
	cd pcbflags && $(MAKE) clean
	cd conf && $(MAKE) clean
	cd strflags && $(MAKE) clean
	cd pcb-printf && $(MAKE) clean
	cd uniq_name && $(MAKE) clean
	cd propedit && $(MAKE) clean
	cd remote && $(MAKE) clean
	cd drc_pstk_hbrk && $(MAKE) clean
#	cd gsch2pcb-rnd && $(MAKE) clean

=== tests/conf/Makefile ===
--- 
+++ 
@@ -4,11 +4,13 @@
 LIB_PCB_OBJS= \
 	../../src/hid_cfg.o \
 	../../src/misc_util.o \
+	../../src/color.o \
 	../../src/unit.o \
 	../../src/list_conf.o \
 	../../src/paths.o \
 	../../src/conf.o \
 	../../src/conf_core.o \
+	../../src/hidlib_conf.o \
 	../../src/conf_hid.o \
 	../../src/conf_internal.o \
 	../../src/pcb-printf.o \

=== debian/changelog ===
pcb-rnd (2.1.3-2) unstable; urgency=high

  * source-only upload to enable promotion to testing, needed for backports

 -- Bdale Garbee <bdale@gag.com>  Wed, 31 Jul 2019 22:48:49 -0600

pcb-rnd (2.1.3-1) unstable; urgency=medium

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Thu, 18 Jul 2019 15:59:12 -0600

pcb-rnd (2.1.2-1) unstable; urgency=medium

  * new upstream release

 -- Bdale Garbee <bdale@gag.com>  Wed, 24 Apr 2019 14:43:36 -0600
